
<!--- This file is automatically generated by make gen-cli-docs; changes should be made in the go CLI command code (under cmd/kops) -->

## kops validate cluster

Validate a kOps cluster.

### Synopsis

This commands validates the following components:

  1.  All control plane nodes are running and have "Ready" status.
  2.  All worker nodes are running and have "Ready" status.
  3.  All control plane nodes have the expected pods.
  4.  All pods with a critical priority are running and have "Ready" status.

```
kops validate cluster [CLUSTER] [flags]
```

### Examples

```
  # Validate the cluster set as the current context of the kube config.
  # Kops will try for 10 minutes to validate the cluster 3 times.
  kops validate cluster --wait 10m --count 3
```

### Options

```
      --api-server string   Override the API server used when communicating with the cluster kube-apiserver
      --count int           Number of consecutive successful validations required
  -h, --help                help for cluster
      --interval duration   Time in duration to wait between validation attempts (default 10s)
      --kubeconfig string   Path to the kubeconfig file
  -o, --output string       Output format. One of json|yaml|table. (default "table")
      --use-kubeconfig      Use the server endpoint from the local kubeconfig instead of inferring from cluster name
      --wait duration       Amount of time to wait for the cluster to become ready
```

### Options inherited from parent commands

```
      --config string   yaml config file (default is $HOME/.kops.yaml)
      --name string     Name of cluster. Overrides KOPS_CLUSTER_NAME environment variable
      --state string    Location of state storage (kops 'config' file). Overrides KOPS_STATE_STORE environment variable
  -v, --v Level         number for the log level verbosity
```

### SEE ALSO

* [kops validate](kops_validate.md)	 - Validate a kOps cluster.

